class CardReader extends HackableDevices;

var() name ValidCard;

function HackAction(Actor Hacker, bool bHacked)
{
local Actor A;

Super.HackAction(Hacker, bHacked);

if (bHacked)
	DoTriggeringage();
}

function Frob(Actor frobber,Inventory frobWith)
{
local NewKeyring kr;

if(ValidCard=='None')
	return;

if(!frobber.IsA('DeusExPlayer'))
	return;

kr=NewKeyring(DeusExPlayer(frobber).FindInventoryType(class'NewKeyring'));
if(kr==None)
	return;

if(kr.HasKey(ValidCard))
	DoTriggeringage();
else
	PlaySound(Sound'DeusExSounds.Generic.Buzz1');
}

function DoTriggeringage()
{
local Actor a;

foreach AllActors(class'Actor',a,Event)
	A.Trigger(Self,GetPlayerPawn());
}

defaultproperties
{
ItemName="Card reader"
Mesh=LodMesh'DeusExDeco.RetinalScanner'
SoundRadius=8
SoundVolume=255
SoundPitch=96
AmbientSound=Sound'DeusExSounds.Generic.SecurityL'
CollisionRadius=10.000000
CollisionHeight=11.430000
Mass=30.000000
Buoyancy=40.000000
}
