class NewKeycard extends NanoKey;

//KEYCARD (mesh is magazine by Endemia)
#exec MESH IMPORT MESH=Keycard ANIVFILE=Models\Keycard_a.3d DATAFILE=Models\Keycard_d.3d ZEROTEX=1
#exec MESH ORIGIN MESH=Keycard X=0 Y=0 Z=0
#exec MESHMAP SCALE MESHMAP=Keycard X=0.002 Y=0.002 Z=0.002
#exec MESH SEQUENCE MESH=Keycard SEQ=All	STARTFRAME=0	NUMFRAMES=1
#exec MESH SEQUENCE MESH=Keycard SEQ=Still     STARTFRAME=0	NUMFRAMES=1
#exec MESHMAP NEW MESHMAP=Keycard MESH=Keycard
#exec TEXTURE IMPORT NAME=KeycardTex1 FILE=ModelSkins\Keycard_a.pcx GROUP="Skins"
#exec MESHMAP SETTEXTURE MESHMAP=Keycard NUM=0 TEXTURE=KeycardTex1

function PostBeginPlay()
{
Super.PostBeginPlay();

//override custom nanokey skins
MultiSkins[0]=default.MultiSkins[0];
}

function Frob(Actor frobber,Inventory frobWith)
{
local Actor a;

Super.Frob(frobber,frobWith);

if(Event!='None')
	foreach AllActors(class'Actor',a,Event)
		a.Trigger(self,Pawn(frobber));
}

defaultproperties
{
Mesh=LodMesh'Keycard'
DrawScale=0.5
ItemName="Keycard"
ItemArticle="a"
beltDescription="KEYCARD"
Skin=Texture'KeycardTex1'
MultiSkins(0)=Texture'KeycardTex1'
CollisionHeight=0.24
CollisionRadius=5.0
PlayerViewMesh=LodMesh'Keycard'
PickupViewMesh=LodMesh'Keycard'
ThirdPersonMesh=LodMesh'Keycard'
}